Single asset card with recent events.
GET
/v1/catalog/assets/{assetType}/{assetId}curl -X GET 'https://api.embodiflow.io/v1/catalog/assets/{assetType}/{assetId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- assetTypestringrequired
- assetIdstringrequired
Responses
Success
- dataobjectrequired
- checksSummaryobject
- recentWorkflowRunsarray<CatalogAssetWorkflowRunSummaryDto>
- artifactLinksarray<CatalogAssetArtifactSummaryDto>
- latestObservationobject
- nextActionHintstring | null
- explainabilityobject
- sourceTypestring | null
- qualityStatusstring | null
- freshnessStatusstringAllowed valuesunknownstalefresh
- lineageSummaryobject
- ownerIdstring | null
- governanceTagsarray<CatalogAssetGovernanceTagDto>
- datasetIdstring | null
- updatedAtstring | null
- assetTypestringrequiredAllowed valuesartifactdataset-versiondataset-mixture
- assetIdstringrequired
- tenantIdstringrequired
- projectIdstring | nullrequired
- assetKeystringrequired
- displayNamestringrequired
- healthobjectrequired
- recentEventsarray<AssetEventSummaryDto>
Response example
{
"data": {
"checksSummary": {
"qualityStatus": "string",
"datasetId": "string",
"datasetVersionId": "string"
},
"recentWorkflowRuns": [
{
"id": "string",
"jobType": "string",
"status": "string",
"createdAt": "string"
}
],
"artifactLinks": [
{
"id": "string",
"artifactType": "string"
}
],
"latestObservation": {
"id": "string",
"observationKind": "external-source-hash",
"sourceSystem": "string",
"dataVersion": "string",
"observedAt": "string",
"hash": "string",
"reconciliationStatus": "matched",
"capabilitySummary": {}
},
"nextActionHint": "string",
"explainability": {
"assetType": "string",
"assetId": "string",
"healthStatus": "failed",
"healthSummary": "string",
"qualityStatus": "string",
"handoffImpact": {
"blocksExport": false,
"blocksTrainingHandoff": false,
"summary": "string"
},
"blockingChecks": [
{
"checkCode": "string",
"severity": "string",
"blocking": false,
"status": "string",
"message": "string"
}
],
"evidenceWorkflowRunId": "string",
"failingNodes": [
{
"nodeRunId": "string",
"stepKey": "string",
"stepType": "string",
"status": "string",
"failureSummary": "string",
"attempt": 0,
"rerunEligible": false,
"rerunUnavailableReason": "string",
"inspectorHref": "string"
}
],
"nextActions": [
{
"kind": "none",
"label": "string",
"href": "string",
"unavailableReason": "string"
}
],
"locators": [
{
"kind": "requestId",
"id": "string",
"label": "string",
"href": "string"
}
],
"evidenceLinks": {
"workflowRunHref": "string",
"versionHref": "string",
"catalogAssetHref": "string",
"checksHref": "string",
"lineageHref": "string",
"backfillHref": "string",
"logsAnchor": "string"
},
"relatedBackfill": {
"backfillId": "string",
"status": "running",
"sourceDatasetVersionId": "string",
"outputDatasetVersionId": "string",
"progressLabel": "string",
"detailHref": "string",
"outputNote": "string"
}
},
"sourceType": "string",
"qualityStatus": "string",
"freshnessStatus": "unknown",
"lineageSummary": {
"datasetId": "string",
"datasetVersionId": "string",
"edgeCount": 0
},
"ownerId": "string",
"governanceTags": [
{
"key": "string",
"value": "string"
}
],
"datasetId": "string",
"updatedAt": "string",
"assetType": "artifact",
"assetId": "string",
"tenantId": "string",
"projectId": "string",
"assetKey": "string",
"displayName": "string",
"health": {
"healthStatus": "failed",
"lastEventAt": "string",
"summary": "string",
"qualityStatus": "string"
},
"recentEvents": [
{
"id": "string",
"eventType": "materialized",
"createdAt": "string",
"payloadJson": {}
}
]
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1